Bug 80750

Summary: Enable animVal support for SVGLengthList
Product: WebKit Reporter: Nikolas Zimmermann <zimmermann@kde.org>
Component: SVGAssignee: Nikolas Zimmermann <zimmermann@kde.org>
Status: RESOLVED FIXED    
Severity: Normal CC: krit@webkit.org, schenney@chromium.org, zherczeg@webkit.org, zimmermann@kde.org
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 12437    
Bug Blocks: 41761, 80758    
Attachments:
Description Flags
Draft patch
none
Patch zherczeg: review+

Description From 2012-03-10 01:43:20 PST
Enable animVal support for SVGLengthList. This is the next logical step after bug 12437 lands, which implements animVal support for SVGLength.
Once these two types are converted, all the ground work is done, and converting more types to use animVal is easy.
------- Comment #1 From 2012-03-10 02:13:10 PST -------
Created an attachment (id=131166) [details]
Draft patch

Not meant for review yet, just to show the path on how to go on after 12437 landed.
------- Comment #2 From 2012-03-13 03:29:09 PST -------
Created an attachment (id=131583) [details]
Patch
------- Comment #3 From 2012-03-13 05:18:34 PST -------
(From update of attachment 131583 [details])
Wow another huga patch. Makes sense, only a few comments

View in context: https://bugs.webkit.org/attachment.cgi?id=131583&action=review

> Source/WebCore/svg/properties/SVGAnimatedListPropertyTearOff.h:78
> +    virtual SVGGenericAnimatedType* currentBaseValue(AnimatedPropertyType expectedPropertyType) const

Why these virtual functions goes into the header? Thay cannot be inlined.

> Source/WebCore/svg/properties/SVGListProperty.h:57
> +        // See SVGPropertyTearOff::detachWrapper() for an explaination what's happening here.

explanation
------- Comment #4 From 2012-03-13 07:59:20 PST -------
(In reply to comment #3)
> Why these virtual functions goes into the header? Thay cannot be inlined.
There is no cpp file where I could move this, its a template class?
------- Comment #5 From 2012-03-14 02:36:38 PST -------
(From update of attachment 131583 [details])
Nice patch. r=me
------- Comment #6 From 2012-03-15 03:01:17 PST -------
Committed r110835: <http://trac.webkit.org/changeset/110835>